/***************************************************************************
 *   Copyright (C) 2005 by Joachim Friedrich                               *
 *   joachim.friedrich@biozentrum.uni-wuerzburg.de                         *
 *                                                                         *
 *   This file is part of profdist and cbcanalyzer                         *
 *                                                                         *
 *   Both profdist and cbcanalyzer are free software; you can redistribute * 
 *   it and/or modify it under the terms of the GNU General Public License * 
 *   as published by the Free Software Foundation; either version 2 of the * 
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   Profdist and cbcanalyzer are distributed in the hope that it will be  *
 *   useful, but WITHOUT ANY WARRANTY; without even the implied warranty   *
 *   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

// IDs for the controls and the menu commands


BEGIN_EVENT_TABLE( MyFrame, wxFrame ) // begin

     EVT_MENU( idMnuOpen, MyFrame::onMnuOpen ) //
     EVT_MENU( idMnuSave, MyFrame::onMnuSave ) //
     EVT_MENU( idMnuExit, MyFrame::onMnuExit) //

     EVT_MENU( idMnuStart, MyFrame::onMnuStart ) //
     EVT_MENU( idMnuTree, MyFrame::onMnuTree ) //

     EVT_MENU( idMnuPref, MyFrame::onMnuPref ) //
     EVT_MENU( idMnuUndo, MyFrame::onMnuUndo ) //
     EVT_MENU( idMnuCut, MyFrame::onMnuCut ) //
     EVT_MENU( idMnuCopy, MyFrame::onMnuCopy ) //
     EVT_MENU( idMnuPaste, MyFrame::onMnuPaste ) //
     EVT_MENU( idMnuSelectAll, MyFrame::onMnuSelectAll ) //
     EVT_MENU( idMnuPref, MyFrame::onMnuPref ) //

     EVT_MENU( idMnuHelp, MyFrame::onMnuHelp ) //
     EVT_MENU( idMnuAbout, MyFrame::onMnuAbout ) //

     EVT_NOTEBOOK_PAGE_CHANGED( idNotebook, MyFrame::onNotebook ) //

     EVT_CLOSE( MyFrame::onCloseEvent ) //

     END_EVENT_TABLE() // end


     BEGIN_EVENT_TABLE( MyDialogPref, wxDialog ) // begin

     EVT_BUTTON( idBtnPrefOpenTreeViewer1, MyDialogPref::onBtnPrefOpenTreeViewer1 ) //
     EVT_BUTTON( idBtnPrefOpenTreeViewer2, MyDialogPref::onBtnPrefOpenTreeViewer2 ) //
     EVT_BUTTON( idBtnPrefOpenBrowser, MyDialogPref::onBtnPrefOpenBrowser ) //
     EVT_BUTTON( idBtnPrefOk, MyDialogPref::onBtnPrefOk ) //
     EVT_BUTTON( idBtnPrefCancel, MyDialogPref::onBtnPrefCancel ) //
     EVT_BUTTON( idBtnPrefHelp, MyDialogPref::onBtnPrefHelp ) //

     EVT_RADIOBUTTON( idRdoTree2, MyDialogPref::onRdoTree2 ) //
     EVT_RADIOBUTTON( idRdoTree1, MyDialogPref::onRdoTree1 ) //
     EVT_RADIOBUTTON( idRdoPrefNone, MyDialogPref::onRdoPrefNone ) //

     END_EVENT_TABLE() // end


     BEGIN_EVENT_TABLE( MyDialogAbout, wxDialog ) // begin

     EVT_LINK( idLinkWx, MyDialogAbout::onLinkWx ) //
     EVT_LINK( idLinkBoost, MyDialogAbout::onLinkBoost ) //
     EVT_LINK( idLinkCbc, MyDialogAbout::onLinkCbc ) //

     END_EVENT_TABLE() // end
